%define fname	dpath

Name:           python-dpath
Version:        1.4.0
Release:        %mkrel 1
Summary:        A python library for searching dictionaries using XPath-like expressions
License:        MIT
Group:          Development/Python
URL:            https://github.com/akesterson/dpath-python
Source0:        https://pypi.python.org/packages/source/d/%{fname}/%{fname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:  python3-devel
BuildRequires:  pythonegg(3)(setuptools)


%description
A python library for accessing and searching dictionaries via /slashed/paths ala
xpath

Basically it lets you glob over a dictionary as if it were a filesystem. It
allows you to specify globs (ala the bash eglob syntax, through some advanced
fnmatch.fnmatch magic) to access dictionary elements, and provides some facility
for filtering those results.

%package -n python3-dpath
Summary:        A python3 library for searching dictionaries using XPath-like expressions
Group:		Development/Python


%description -n python3-dpath
A python library for accessing and searching dictionaries via /slashed/paths ala
xpath

Basically it lets you glob over a dictionary as if it were a filesystem. It
allows you to specify globs (ala the bash eglob syntax, through some advanced
fnmatch.fnmatch magic) to access dictionary elements, and provides some facility
for filtering those results.


%prep
%autosetup -n %{fname}-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%files
%doc LICENSE.txt README.rst
%{python2_sitelib}/%{fname}*


%files -n python3-dpath
%doc LICENSE.txt README.rst
%{python3_sitelib}/%{fname}*



%changelog
* Wed Aug 31 2016 philippem <philippem> 1.4.0-1.mga6
+ Revision: 1049584
- imported package python-dpath

